Bug 997588 - 'quota rescan' fails
'quota rescan' fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 13:03 EDT by Enrico Scholz
Modified: 2014-05-14 12:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-14 12:02:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2013-08-15 13:03:18 EDT
Description of problem:

Kernel 3.10 supports quota-rescan, but userspace tools might be too old and do not use correct ioctls:

# btrfs quota rescan .
ERROR: quota command failed: Invalid argument


Version-Release number of selected component (if applicable):

kernel-3.10.3-300.fc19.x86_64
btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19.x86_64


How reproducible:

100%
Comment 1 Eric Sandeen 2013-09-18 11:53:02 EDT
A new git snapshot of btrfs-progs has been pushed to F19 testing.  If possible, please re-test these bugs & feel free to close or comment as appropriate.

Thanks,
-Eric
Comment 2 Eric Sandeen 2013-11-14 14:32:05 EST
This is a mass update of F19 and F20 btrfs-progs bugs.

A btrfs-progs git snapshot has been built in Rawhide and submitted for F19 and F20 testing.

If your bug was reproducible, please re-test with the new build, and update this bug to let us know if it's been resolved.  If so I can add it to the Bodhi errata.

Thanks,
-Eric
Comment 3 Eric Sandeen 2014-05-13 12:39:09 EDT
btrfs-progs-3.14.1 has been pushed to Fedora 19 and 20 for testing.

I frankly have no idea if this will resolve your bug or not, but if you test it and find that it does, please take the opportunity to close this bug.  :)

Thanks,
-Eric
Comment 4 Eric Sandeen 2014-05-14 12:02:53 EDT
with a recent kernel & recent btrfs-progs, this all works;

# btrfs quota enable /mount/point
# btrfs quota rescan /mount/point

so closing CURRENTRELEASE.

(did you do a quota enable first?  if not, you will get the EINVAL return)

Note You need to log in before you can comment on or make changes to this bug.